Skip to main content
POST
/
v3
/
async
/
kling-v2.1-i2v-master
Kling V2.1 Master Image to Video
curl --request POST \
  --url https://api.novita.ai/v3/async/kling-v2.1-i2v-master \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "image": "<string>",
  "prompt": "<string>",
  "duration": "<string>",
  "guidance_scale": 123,
  "negative_prompt": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/kling-v2.1-i2v-master"

payload = {
"image": "<string>",
"prompt": "<string>",
"duration": "<string>",
"guidance_scale": 123,
"negative_prompt": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
image: '<string>',
prompt: '<string>',
duration: '<string>',
guidance_scale: 123,
negative_prompt: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/kling-v2.1-i2v-master', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Kling 2.1 Master: The premium endpoint for Kling 2.1, designed for top-tier image-to-video generation with unparalleled motion fluidity, cinematic visuals, exceptional prompt precision, and 1080p video quality.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

image
string
required
First frame of the video; Supported image formats include .jpg, .jpeg, .png; The image file size cannot exceed 10MB, and the image resolution should not be less than 300*300px.
prompt
string
required
Text prompt for generation; Positive text prompt; Cannot exceed 2500 characters.
duration
string
default:"5"
The duration of the generated media in seconds.Available options: 5, 10
guidance_scale
number
The guidance scale to use for the generation.Range: 0 to 1 Step: 0.01
negative_prompt
string
Negative text prompt; Cannot exceed 2500 characters.

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on August 27, 2025